import { ETHToken, PositiveBigNumber, PositiveNumberString, Token } from '@imtbl/imx-link-types';
export declare function payloadId(): number;
export declare function formatError(err: any): Error;
export declare function sleep(time: number): Promise<unknown>;
export declare const ethToken: ETHToken;
export declare const eth8ToWei: (amount: PositiveBigNumber) => PositiveBigNumber;
export declare const eth8ToEth: (amount: PositiveBigNumber) => PositiveNumberString;
export declare const weiToEth8: (amount: PositiveBigNumber) => PositiveBigNumber;
export declare const ethToEth8: (amount: PositiveNumberString) => PositiveBigNumber;
export declare const amountToQuantizedAmount: (amount: PositiveBigNumber, quantum: string) => PositiveBigNumber;
/**
 * NOTE: 'quantum' value is required for 'ERC-20' tokens,
 * and should be retreived from the '/tokens' API reponse.
 */
export declare const tokenQuantizedAmount: (token: Token, amount: PositiveBigNumber, quantum?: string) => PositiveBigNumber;
//# sourceMappingURL=utils.d.ts.map